NORMALIZ(1)

NAME
Normaliz - tool for computations in affine monoids, vector configurations, lattice polytopes, and rational cones.

SYNOPSIS
normaliz [options] PROJECT

DESCRIPTION

    runs normaliz on PROJECT.in

  Computation goals with short options (selection):

-s  compute support hyperplanes

-v  compute multiplicity

-V  compute volume

-N  compute Hilbert basis (with partial triangulation)

-w  check for integrally closed and compute witness if not

-q  compute Hilbert series

-1  compute degree 1 elements

-T  compute triangulation (output in file .tri)

-H  compute integer hull

-M  compute module generators over original monoid

-E  compute weighted Ehrhart series

-L  compute virtual multiplicity of weighted Ehrhart series

-I  compute integral

-G  check Gorenstein

  Algorithmic variants with short options (selection):

-d  dual ode (includes Hilbert basis, unless combined with -1)

-j  project-and-lift

-J  project-and-lift with floating point arithmetic

-k  keep order

-Y  symmetrization

-F  multiplicity/volume by decent in the face lattice

For computation goals and variants not in the lists above use

--<PROP>
    compute the ConeProperty <PROP>

  see doc/Normaliz.pdf or doc/NmzShortRef.pdf. Selection:

    Automorphisms, EuclideanAutomorphisms, RationalA..., CombinatorialA... EhrhartSeries, LatticePoints, NumberLatticePoints FaceLattice, FVector (also with Orbits) DualFaceLattice, DualFVector (also with Orbits) Incidence, DualIncidence MasrkovBasis, GroebnerBasis, Lex, DegLex, RevLex FusionRings, SimpleFusionRings

  Output and execution:

-f, --files
    write the files .out .gen .inv .cst

-a, --all-files
    write all optional output files

--<SUFFIX>
    write the file .<SUFFIX> where <SUFFIX> can be one of cst, egn, esp, ext, gen, ht1, inv, lat, mod, msp, typ

-B, --BigInt
    directly use indefinite precision arithmetic

--LongLong
    only use long long arithmetic, no conversion possible

-i, --ignore
    ignore the compute options set in the input file

-x=<T>
    limit the number of threads to <T>, -x=0 switches the bound off

--OutputDir=<path> set a path for the output files (relative to current directory)

-?, --help
    print this help text and exit

-c, --verbose
    verbose (prints log data on terminal)

--version
    print version info and exit

Please report bugs to <normaliz@uos.de> or directly to our issue tracker: https://github.com/Normaliz/Normaliz/issues

------------------------------------------------------------ with package(s) Flint e-antic nauty Copyright © 2007-2025 The Normaliz Team, University of Osnabrueck. This program comes with ABSOLUTELY NO WARRANTY; This is free software, and you are welcome to redistribute it under certain conditions; See COPYING for details.

AUTHORS
Winfried Bruns, Bogdan Ichim, Tim Romer, Christof Soeger

COPYRIGHT
Copyright (C) 2007-2015 Winfried Bruns, Bogdan Ichim, Christof Soeger